<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       https://upcasted.com
 * @since      1.0.0
 *
 * @package    Ai_For_Wordpress_By_Upcasted
 * @subpackage Ai_For_Wordpress_By_Upcasted/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    Ai_For_Wordpress_By_Upcasted
 * @subpackage Ai_For_Wordpress_By_Upcasted/includes
 * @author     Upcasted <contact@upcasted.com>
 */
class Ai_For_Wordpress_By_Upcasted_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0.0
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'ai-wp-upcasted',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
